summaryrefslogtreecommitdiffstats
path: root/games/zsnes
diff options
context:
space:
mode:
author eroc2010-05-11 14:28:24 +0200
committer Robby Workman2010-05-11 14:28:24 +0200
commite48a2573d14d802226c91806d10f984f69c5174d (patch)
treea2c358241b8b368fe42ebdb624bbf95c8cb342c5 /games/zsnes
parent8483165088901c77f70b5579477b4c0c6f7fe785 (diff)
downloadslackbuilds-e48a2573d14d802226c91806d10f984f69c5174d.tar.gz
games/zsnes: Initial import
Diffstat (limited to 'games/zsnes')
-rw-r--r--games/zsnes/README8
-rw-r--r--games/zsnes/doinst.sh5
-rw-r--r--games/zsnes/slack-desc11
-rw-r--r--games/zsnes/zsnes.SlackBuild68
-rw-r--r--games/zsnes/zsnes.desktop14
-rw-r--r--games/zsnes/zsnes.info8
-rw-r--r--games/zsnes/zsnes.pngbin0 -> 8010 bytes
7 files changed, 114 insertions, 0 deletions
diff --git a/games/zsnes/README b/games/zsnes/README
new file mode 100644
index 0000000000..ee2c680bbc
--- /dev/null
+++ b/games/zsnes/README
@@ -0,0 +1,8 @@
+ZSNES - SNES games emulator
+
+ZSNES is a Super Nintendo emulator programmed by zsKnight and _Demo_.
+On April 2, 2001 the ZSNES project was GPL'ed and its source released
+to the public. It currently runs on Windows, Linux, FreeBSD, and DOS.
+Remember that this is a public beta so don't expect this to run on
+your machine.
+
diff --git a/games/zsnes/doinst.sh b/games/zsnes/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/games/zsnes/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/zsnes/slack-desc b/games/zsnes/slack-desc
new file mode 100644
index 0000000000..4f605502df
--- /dev/null
+++ b/games/zsnes/slack-desc
@@ -0,0 +1,11 @@
+zsnes: ZSNES - SNES games emulator
+zsnes:
+zsnes: ZSNES is a Super Nintendo emulator programmed by zsKnight and _Demo_.
+zsnes: On April 2, 2001 the ZSNES project was GPL'ed and its source released
+zsnes: to the public. It currently runs on Windows, Linux, FreeBSD, and DOS.
+zsnes: Remember that this is a public beta so don't expect this to run on
+zsnes: your machine.
+zsnes:
+zsnes: Homepage: http://www.zsnes.com
+zsnes:
+zsnes:
diff --git a/games/zsnes/zsnes.SlackBuild b/games/zsnes/zsnes.SlackBuild
new file mode 100644
index 0000000000..dee9557b4a
--- /dev/null
+++ b/games/zsnes/zsnes.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for zsnes
+# Written by eroc <coreroc@linuxmail.org>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=zsnes
+VERSION=1.51
+ZSNESSRC=151src
+ZSNESDIR=_1_51
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM$ZSNESSRC.tar.bz2 || exit 1
+# Fix the directory tree in zsnes:
+mv $PRGNAM$ZSNESDIR $PRGNAM-$VERSION || exit 1
+mv $PRGNAM-$VERSION/src/* $PRGNAM-$VERSION || exit 1
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-debugger \
+ || exit 1
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/man/man1/zsnes.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Place a .desktop file and icon for good menu integration
+install -D -m 0644 $CWD/zsnes.desktop $PKG/usr/share/applications/zsnes.desktop
+install -D -m 0644 $CWD/zsnes.png $PKG/usr/share/pixmaps/zsnes.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/zsnes/zsnes.desktop b/games/zsnes/zsnes.desktop
new file mode 100644
index 0000000000..a95c8341b8
--- /dev/null
+++ b/games/zsnes/zsnes.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=ZSNES
+Comment=SNES Emulator
+Exec=zsnes
+Icon=/usr/share/pixmaps/zsnes.png
+Terminal=false
+Type=Application
+Categories=GNOME;GTK;Game;
+StartupNotify=false
+GenericName=ZSNES Emulator
+X-KDE-StartupNotify=false
+X-DCOP-ServiceType=Multi
+Categories=Qt;KDE;Game;
diff --git a/games/zsnes/zsnes.info b/games/zsnes/zsnes.info
new file mode 100644
index 0000000000..a080985583
--- /dev/null
+++ b/games/zsnes/zsnes.info
@@ -0,0 +1,8 @@
+PRGNAM="zsnes"
+VERSION="1.51"
+HOMEPAGE="http://www.zsnes.com"
+DOWNLOAD="http://dl.sourceforge.net/zsnes/zsnes151src.tar.bz2"
+MD5SUM="328071775f88f7c3b9fdb94176e5e417"
+MAINTAINER="eroc"
+EMAIL="coreroc@linuxmail.org"
+APPROVED="robw810"
diff --git a/games/zsnes/zsnes.png b/games/zsnes/zsnes.png
new file mode 100644
index 0000000000..24c47f4a93
--- /dev/null
+++ b/games/zsnes/zsnes.png
Binary files differ